<p align="center">
  <a href="https://bootstrap.ninja/ninjabootstrap/">
    <img src="https://bootstrap.ninja/wp-content/uploads/2023/11/logo_ninja_bootstrap.svg" alt="Bootstrap logo" width="200" height="165">
  </a>
</p>

<h2 align="center ">NinjaBootstrap</h2>

<p align="center"><a href="https://www.npmjs.com/package/ninjabootstrap" rel="nofollow"><img src="https://camo.githubusercontent.com/9892868da2dc262ee7d420802d50fc8b64d0b70c79c62243bd435f153cd6101c/68747470733a2f2f696d672e736869656c64732e696f2f6e706d2f762f66617374626f6f747374726170" alt="npm version" data-canonical-src="https://img.shields.io/npm/v/ninjabootstrap" style="max-width: 100%;"></a>
<a href="https://github.com/livecanvas-team/ninjabootstrap/blob/main/LICENSE"><img src="https://camo.githubusercontent.com/628f9d6468397d857b0a23f3cd6013e1a79e628a03a5c9bf22fa0458f27d91ea/68747470733a2f2f696d672e736869656c64732e696f2f6769746875622f6c6963656e73652f66617374626f6f7473747261702f61746c61737369616e2d64657369676e2d666f722d626f6f747374726170" alt="MIT license" data-canonical-src="https://img.shields.io/github/license/fastbootstrap/atlassian-design-for-bootstrap" style="max-width: 100%;"></a></p>

<p align="center" style=" max-width: 500px;   margin: 0 auto;">
  NinjaBootstrap is a meticulously crafted collection of SCSS utilities that configure and extend Bootstrap 5, <br>
  to add the missing utility classes you really need in order to build great designs.<br><br> 
  <a href="https://bootstrap.ninja/ninjabootstrap/"><strong>Explore project documentation and examples page »</strong></a>
 
</p>


# Installation

#### Install

```bash
npm install ninjabootstrap
```

#### Import

If you need this project in a modern JS project (eg: react, vue, angular, etc) you can import it as a module:

```js
import React from 'react'
import ReactDOM from 'react-dom/client'
import App from './App.jsx'

import '/node_modules/bootstrapninja/dist/css/bootstrap.css'

ReactDOM.createRoot(document.getElementById('root')).render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
)
```

Or if you are just working on an HTML file you can import it in the good old way:

```html
<link rel="stylesheet" href="/node_modules/bootstrapninja/dist/css/bootstrap.min.css" />
<script src="/node_modules/bootstrapninja/dist/js/bootstrap.min.js">
```



